glibmm 2.60.0

Public Types | Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Glib::StaticPrivate< T > Struct Template Reference

Thread-local data pointer. More...

`#include <glibmm/thread.h>`

## Public Types
using | DestroyNotifyFunc = void(*)(void*)

## Public Member Functions
T* | get ()
void | set (T* data, DestroyNotifyFunc notify_func=&StaticPrivate< T >::delete_ptr)
GStaticPrivate* | gobj ()

## Static Public Member Functions
static void | delete_ptr (void* data)

## Related Functions
(Note that these are not member functions.)
#define | GLIBMM_STATIC_PRIVATE_INIT { G_STATIC_PRIVATE_INIT }
| Initializer macro for Glib::StaticPrivate. More...

## Detailed Description

### template<class T>
struct Glib::StaticPrivate< T >

Thread-local data pointer.

Deprecated:
  Use Glib::Threads::Private instead, which can be used statically.

## Member Typedef Documentation

## ◆ DestroyNotifyFunc

template <class T >

using Glib::StaticPrivate< T >::DestroyNotifyFunc = void (*) (void*)

## Member Function Documentation

## ◆ delete_ptr()

template <class T >

static void Glib::StaticPrivate< T >::delete_ptr | ( | void * | data | ) |
| static

## ◆ get()

template <class T >

T* Glib::StaticPrivate< T >::get | ( |  | ) |
| inline

## ◆ gobj()

template <class T >

GStaticPrivate* Glib::StaticPrivate< T >::gobj | ( |  | ) |
| inline

## ◆ set()

template <class T >

void Glib::StaticPrivate< T >::set | ( | T * | data,
|  | DestroyNotifyFunc | notify_func = `&StaticPrivate< T >::delete_ptr`
| ) |  |
| inline

## Friends And Related Function Documentation

## ◆ GLIBMM_STATIC_PRIVATE_INIT

template <class T >

#define GLIBMM_STATIC_PRIVATE_INIT { G_STATIC_PRIVATE_INIT }
| related

Initializer macro for Glib::StaticPrivate.

Deprecated:
  Glib::StaticPrivate is deprecated in favour of Glib::Threads::Private, which can be used statically.